/**
 * DMX 部件模型
 *
 * @export
 * @class DMXModel
 */
export default class DMXModel {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof DMXModel
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      // 前端新增修改标识，新增为"0",修改为"1"或未设值
      {
        name: 'srffrontuf',
        prop: 'srffrontuf',
        dataType: 'TEXT',
      },
      {
        name: 'srfupdatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'codeitemid',
        dataType: 'GUID',
      },
      {
        name: 'srfmajortext',
        prop: 'codeitemname',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'codelistid',
        prop: 'codelistid',
        dataType: 'PICKUP',
      },
      {
        name: 'codelistname',
        prop: 'codelistname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'pcodeitemid',
        prop: 'pcodeitemid',
        dataType: 'PICKUP',
      },
      {
        name: 'pcodeitemname',
        prop: 'pcodeitemname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'codeitemname',
        prop: 'codeitemname',
        dataType: 'TEXT',
      },
      {
        name: 'codeitemvalue',
        prop: 'codeitemvalue',
        dataType: 'TEXT',
      },
      {
        name: 'ordervalue',
        prop: 'ordervalue',
        dataType: 'INT',
      },
      {
        name: 'shortkey',
        prop: 'shortkey',
        dataType: 'TEXT',
      },
      {
        name: 'memo',
        prop: 'memo',
        dataType: 'LONGTEXT_1000',
      },
      {
        name: 'codeitemid',
        prop: 'codeitemid',
        dataType: 'GUID',
      },
      {
        name: 'codeitem',
        prop: 'codeitemid',
        dataType: 'FONTKEY',
      },
    ]
  }

}