/**
 * DMX 部件模型
 *
 * @export
 * @class DMXModel
 */
export default class DMXModel {

	/**
	 * 是否是实体数据导出
	 *
	 * @returns {any[]}
	 * @memberof DMXGridMode
	 */
	public isDEExport: boolean = false;

	/**
	 * 获取数据项集合
	 *
	 * @returns {any[]}
	 * @memberof DMXGridMode
	 */
	public getDataItems(): any[] {
    if(this.isDEExport){
		  return [
      ]
    }else{
		  return [
        {
          name: 'codeitemvalue',
          prop: 'codeitemvalue',
          dataType: 'TEXT',
        },
        {
          name: 'pcodeitemid',
          prop: 'pcodeitemid',
          dataType: 'PICKUP',
        },
        {
          name: 'createdate',
          prop: 'createdate',
          dataType: 'DATETIME',
        },
        {
          name: 'codelistname',
          prop: 'codelistname',
          dataType: 'PICKUPTEXT',
        },
        {
          name: 'updateman',
          prop: 'updateman',
          dataType: 'TEXT',
        },
        {
          name: 'srfmajortext',
          prop: 'codeitemname',
          dataType: 'TEXT',
        },
        {
          name: 'srfkey',
          prop: 'codeitemid',
          dataType: 'GUID',
        },
        {
          name: 'srfdataaccaction',
          prop: 'codeitemid',
          dataType: 'GUID',
        },
        {
          name: 'codeitemname',
          prop: 'codeitemname',
          dataType: 'TEXT',
        },
        {
          name: 'ordervalue',
          prop: 'ordervalue',
          dataType: 'INT',
        },
        {
          name: 'updatedate',
          prop: 'updatedate',
          dataType: 'DATETIME',
        },
        {
          name: 'codelistid',
          prop: 'codelistid',
          dataType: 'PICKUP',
        },
        {
          name: 'createman',
          prop: 'createman',
          dataType: 'TEXT',
        },
        {
          name: 'pcodeitemname',
          prop: 'pcodeitemname',
          dataType: 'PICKUPTEXT',
        },
        {
          name: 'codeitem',
          prop: 'codeitemid',
        },
      {
        name: 'n_codeitemname_like',
        prop: 'n_codeitemname_like',
        dataType: 'TEXT',
      },

        {
          name:'size',
          prop:'size'
        },
        {
          name:'query',
          prop:'query'
        },
        {
          name:'page',
          prop:'page'
        },
        {
          name:'sort',
          prop:'sort'
        },
        {
          name:'srfparentdata',
          prop:'srfparentdata'
        },
        // 前端新增修改标识，新增为"0",修改为"1"或未设值
        {
          name: 'srffrontuf',
          prop: 'srffrontuf',
          dataType: 'TEXT',
        },
      ]
    }
  }

}